> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Get all accounts or filter using account name. The account name must be an alphanumeric lowercase hex string between 2 to 40 characters long



## OpenAPI

````yaml get /account
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /account:
    get:
      tags:
        - Account
      summary: Get Account
      description: >-
        Get all accounts or filter using account name. The account name must be
        an alphanumeric lowercase hex string between 2 to 40 characters long
      operationId: get-account
      parameters:
        - description: ''
          in: query
          name: accountName
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: perPage
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: page
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    accounts:
                      - BNB:
                          accountName: user1
                          asset:
                            - id: '0x20B3bE3a0629f30512E8bf6CcaCC1f2FC403b6AC'
                              meta: null
                              type: crypto
                          balance: 0
                          pendingDebit: 0
                        BTC:
                          accountName: user1
                          asset:
                            - id: tb1q6zdd464wxlmd9glqefeeqsuxnemcyq73rhzn77
                              meta: null
                              type: crypto
                          balance: 0
                          pendingDebit: 0
                        ETH:
                          accountName: user1
                          asset:
                            - id: '0x20B3bE3a0629f30512E8bf6CcaCC1f2FC403b6AC'
                              meta: null
                              type: crypto
                          balance: 0
                          pendingDebit: 0
                        GHS:
                          accountName: user1
                          asset:
                            - id: ''
                              meta: null
                              type: ghanaiancedis
                          balance: 0
                          pendingDebit: 0
                        KES:
                          accountName: user1
                          asset:
                            - id: ''
                              meta: null
                              type: kenyanshilling
                          balance: 0
                          pendingDebit: 0
                        NGN:
                          accountName: user1
                          asset:
                            - id: ''
                              meta: null
                              type: naira
                          balance: 0
                          pendingDebit: 0
                        USD:
                          accountName: user1
                          asset:
                            - id: '0x20B3bE3a0629f30512E8bf6CcaCC1f2FC403b6AC'
                              meta: null
                              type: crypto
                            - id: TCx7wxwFVm9GwnEaKaNckzqRYxrUxgoJDD
                              meta: null
                              type: crypto
                            - id: EXq68wLDiXvPppv6VVJKyECcAC1oz25rHk8BgeorRvUe
                              meta: null
                              type: crypto
                          balance: 0
                          pendingDebit: 0
                  message: success
                properties:
                  data:
                    properties:
                      accounts:
                        items:
                          properties:
                            BNB:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                            BTC:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                            ETH:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                            GHS:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                            KES:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                            NGN:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                            USD:
                              properties:
                                accountName:
                                  type: string
                                asset:
                                  items:
                                    properties:
                                      id:
                                        type: string
                                      meta:
                                        type: string
                                      type:
                                        type: string
                                    type: object
                                  type: array
                                balance:
                                  type: number
                                pendingDebit:
                                  type: number
                              type: object
                          type: object
                        type: array
                    type: object
                  message:
                    type: string
                type: object
          description: get account ok
        '401':
          content:
            application/json:
              schema:
                example:
                  message: invalid apikey
                properties:
                  message:
                    type: string
                type: object
          description: get account unauthorized
        '404':
          content:
            application/json:
              schema:
                example:
                  message: account not found
                properties:
                  message:
                    type: string
                type: object
          description: get account not found
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````